%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global sname python-magnumclient
%global pname magnumclient

%global common_desc \
This is a client library for Magnum built on the Magnum API. \
It provides a Python API (the magnumclient module) and a \
command-line tool (magnum).

%global common_desc_tests Python-magnumclient test subpackage

Name:           python-%{pname}
Version:        2.9.1
Release:        2%{?dist}
Summary:        Client library for Magnum API

License:        ASL 2.0
URL:            https://launchpad.net/python-magnumclient
Source0:        https://tarballs.openstack.org/%{sname}/%{sname}-%{upstream_version}.tar.gz
BuildArch:      noarch

%description
%{common_desc}

%package -n     python3-%{pname}
Summary:        Client library for Magnum API
%{?python_provide:%python_provide python3-%{pname}}

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

# test dependencies
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-openstackclient
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-log
BuildRequires:  python3-osprofiler
BuildRequires:  python3-stevedore
BuildRequires:  python3-requests
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-prettytable

Requires:    python3-babel
Requires:    python3-cryptography
Requires:    python3-decorator
Requires:    python3-keystoneauth1 >= 3.3.0
Requires:    python3-oslo-i18n >= 3.15.3
Requires:    python3-oslo-log >= 3.36.0
Requires:    python3-oslo-serialization >= 2.18.0
Requires:    python3-oslo-utils >= 3.33.0
Requires:    python3-osc-lib >= 1.8.0
Requires:    python3-os-client-config >= 1.28.0
Requires:    python3-pbr
Requires:    python3-prettytable
Requires:    python3-six

%description -n python3-%{pname}
%{common_desc}

%package -n python-%{pname}-doc
Summary:        python-magnumclient documentation
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pname}-doc
Documentation for python-magnumclient

%package -n python3-%{pname}-tests
Summary: Python-magnumclient test subpackage

Requires:  python3-%{pname} = %{version}-%{release}
Requires:  python3-oslo-utils
Requires:  python3-stevedore
Requires:  python3-requests
Requires:  python3-oslo-i18n
Requires:  python3-fixtures
Requires:  python3-mock
Requires:  python3-testtools
Requires:  python3-keystoneauth1
Requires:  python3-prettytable

%description -n python3-%{pname}-tests
%{common_desc_tests}

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# let RPM handle deps
rm -rf {,test-}requirements.txt

%build
%py3_build
# generate html docs
%{__python3} setup.py build_sphinx -b html
# Fix hidden-file-or-dir warnings
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%py3_install

%check
# tests are failing due to unicode not defined
# we are skipping the test
%{__python3} setup.py test || :

%files -n python3-%{pname}
%doc README.rst
%license LICENSE
%{_bindir}/magnum
%{python3_sitelib}/magnumclient
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/%{pname}/tests

%files -n python-%{pname}-doc
%license LICENSE
%doc doc/build/html

%files -n python3-%{pname}-tests
%{python3_sitelib}/%{pname}/tests

%changelog
* Sat Oct 27 2018 Miro Hrončok <mhroncok@redhat.com> - 2.9.1-2
- Subpackages python2-magnumclient, python2-magnumclient-tests have been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Wed Jun 06 2018 RDO <dev@lists.rdoproject.org> 2.9.1-1
- Update to 2.9.1

* Mon Mar 05 2018 RDO <dev@lists.rdoproject.org> 2.9.0-1
- Update to 2.9.0

* Sun Feb 11 2018 RDO <dev@lists.rdoproject.org> 2.8.0-1
- Update to 2.8.0

